Public Member Functions
Partition Class Reference

## Detailed Description

A Partition is a division of a Pass, which behaves like a Group. Partitions are used to organize scene elements within a Pass. There are only two types of partitions: object and light. Light partitions can only contain lights, and object partitions can only contain geometric objects.

Each pass created has at least two partitions: a background objects partition, which contains most or all of the scene's objects, and a background lights partition, which contains most or all of the scene's lights.

See also:
  Pass::GetPartitions, Pass::CreatePartition

Since:
  7.0

`#include <xsi_partition.h>`

Inheritance diagram for Partition:
[legend]

List of all members.

## Public Member Functions
| Partition ()
| ~Partition ()
| Partition (const CRef &in_ref)
| Partition (const Partition &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
Partition & | operator= (const Partition &in_obj)
Partition & | operator= (const CRef &in_ref)
XSI::siPartitionType | GetPartitionType () const
bool | IsBackground () const

## Constructor & Destructor Documentation

Partition | ( |  | ) |

Default constructor.

~Partition | ( |  | ) |

Default destructor.

Partition | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

Partition | ( | const Partition & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from Group.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from Group.

Partition& operator= | ( | const Partition & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new Partition object.

Partition& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new Partition object.

Reimplemented from Group.

XSI::siPartitionType GetPartitionType | ( |  | ) | const

Returns the Partition type. A partition can be either an object or a light partition.

Returns:
  The type of Partition

bool IsBackground | ( |  | ) | const

Returns true if the Partition is a background partition. A background partition is an undeletable system partition where new objects and lights are added by default.

Returns:
  true if the Partition is a background partition.

The documentation for this class was generated from the following file:

- xsi_partition.h